use crate::wad::wadfile::validate_wad;

#[test]
pub fn valid_wad() {
    let wad_path = String::from("WADs/doom1.wad");

    assert!(validate_wad(wad_path.as_str()).unwrap_or(false));
}

#[test]
pub fn wad_path_invalid() {
    let wad_path = String::from("WADs/invalid.wad");

    assert!(!validate_wad(wad_path.as_str()).unwrap_or(false));
}
